﻿using Microsoft.Extensions.Logging;

namespace TestProject.Services
{
    /// <summary>
    /// 테스트 서비스
    /// </summary>
    public class TestService : ITestService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 로그 기록기 - Logger

        /// <summary>
        /// 로그 기록기
        /// </summary>
        public ILogger<TestService> Logger { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - TestService()

        /// <summary>
        /// 생성자
        /// </summary>
        public TestService()
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 처리하기 - Process()

        /// <summary>
        /// 처리하기
        /// </summary>
        public void Process()
        {
            Logger?.LogInformation("TEST SERVICE PROCESS");
        }

        #endregion
    }
}